Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Interface PKCSObjectIdentifiers

All Known Implementing Classes:
  ContentInfo, PBES2Parameters, PBMAC1Params, Pfx, SignedData, TBSCertificateStructure, X509CertificateStructure

public interface PKCSObjectIdentifiers

pkcs-1 OBJECT IDENTIFIER ::=

{ iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) 1 }

Field Summary
`static ASN1ObjectIdentifier` | `bagtypes` PKCS#12: 1.2.840.113549.1.12.10.1
`static ASN1ObjectIdentifier` | `canNotDecryptAny` PKCS#9: 1.2.840.113549.1.9.15.2 -- smime capability
`static ASN1ObjectIdentifier` | `certBag` PKCS#12: 1.2.840.113549.1.12.10.1.3
`static ASN1ObjectIdentifier` | `certTypes` PKCS#9: 1.2.840.113549.1.9.22
`static ASN1ObjectIdentifier` | `crlBag` PKCS#12: 1.2.840.113549.1.12.10.1.4
`static ASN1ObjectIdentifier` | `crlTypes` PKCS#9: 1.2.840.113549.1.9.23
`static ASN1ObjectIdentifier` | `data` PKCS#7: 1.2.840.113549.1.7.1
`static ASN1ObjectIdentifier` | `des_EDE3_CBC` 1.2.840.113549.3.7
`static ASN1ObjectIdentifier` | `dhKeyAgreement` PKCS#3: 1.2.840.113549.1.3.1
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_hkdf_sha256_scheme` RFC 8418: dhSinglePass-stdDH-hkdf-sha256-scheme OBJECT IDENTIFIER ::= { smime-alg 19 } 1.2.840.113549.1.9.16.3.19
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_hkdf_sha384_scheme` RFC 8418: dhSinglePass-stdDH-hkdf-sha384-scheme OBJECT IDENTIFIER ::= { smime-alg 20 } 1.2.840.113549.1.9.16.3.20
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_hkdf_sha512_scheme` RFC 8418: dhSinglePass-stdDH-hkdf-sha512-scheme OBJECT IDENTIFIER ::= { smime-alg 21 } 1.2.840.113549.1.9.16.3.21
`static ASN1ObjectIdentifier` | `digestAlgorithm` 1.2.840.113549.2
`static ASN1ObjectIdentifier` | `digestedData` PKCS#7: 1.2.840.113549.1.7.5
`static ASN1ObjectIdentifier` | `encryptedData` PKCS#7: 1.2.840.113549.1.7.76
`static ASN1ObjectIdentifier` | `encryptionAlgorithm` 1.2.840.113549.3
`static ASN1ObjectIdentifier` | `envelopedData` PKCS#7: 1.2.840.113549.1.7.3
`static ASN1ObjectIdentifier` | `id_aa` PKCS#9: 1.2.840.113549.1.9.16.2 - smime attributes
`static ASN1ObjectIdentifier` | `id_aa_asymmDecryptKeyID` PKCS#9: 1.2.840.113549.1.9.16.2.54 RFC7030
`static ASN1ObjectIdentifier` | `id_aa_cmsAlgorithmProtect` RFC 6211 - id-aa-cmsAlgorithmProtect OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) 52 }
`static ASN1ObjectIdentifier` | `id_aa_commitmentType` Deprecated. use id_aa_ets_commitmentType instead
`static ASN1ObjectIdentifier` | `id_aa_communityIdentifiers` PKCS#9: 1.2.840.113549.1.9.16.2.40 RFC7030
`static ASN1ObjectIdentifier` | `id_aa_contentHint` PKCS#9: 1.2.840.113549.1.9.16.2.4 - See RFC 2634
`static ASN1ObjectIdentifier` | `id_aa_contentIdentifier` PKCS#9: 1.2.840.113549.1.9.16.2.7 - See RFC 2634
`static ASN1ObjectIdentifier` | `id_aa_contentReference` PKCS#9: 1.2.840.113549.1.9.16.2.10
`static ASN1ObjectIdentifier` | `id_aa_decryptKeyID` PKCS#9: 1.2.840.113549.1.9.16.2.37 - RFC 4108
`static ASN1ObjectIdentifier` | `id_aa_encrypKeyPref` PKCS#9: 1.2.840.113549.1.9.16.2.11
`static ASN1ObjectIdentifier` | `id_aa_estIdentityLinking` PKCS#9: 1.2.840.113549.1.9.16.2.58 - RFC 7894 §3.3: EST estIdentityLinking attribute, unambiguous replacement for the overloaded PKCS#9 challengePassword used for transport-identity linking per RFC 7030 §3.5.
`static ASN1ObjectIdentifier` | `id_aa_ets_archiveTimestamp` PKCS#9: 1.2.840.113549.1.9.16.2.27 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_certCRLTimestamp` PKCS#9: 1.2.840.113549.1.9.16.2.26 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_certificateRefs` PKCS#9: 1.2.840.113549.1.9.16.2.21 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_certValues` PKCS#9: 1.2.840.113549.1.9.16.2.23 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_commitmentType` PKCS#9: 1.2.840.113549.1.9.16.2.16 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_contentTimestamp` PKCS#9: 1.2.840.113549.1.9.16.2.20 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_escTimeStamp` PKCS#9: 1.2.840.113549.1.9.16.2.25 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_otherSigCert` PKCS#9: 1.2.840.113549.1.9.16.6.2.19 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_revocationRefs` PKCS#9: 1.2.840.113549.1.9.16.2.22 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_revocationValues` PKCS#9: 1.2.840.113549.1.9.16.2.24 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_signerAttr` PKCS#9: 1.2.840.113549.1.9.16.2.18 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_signerLocation` PKCS#9: 1.2.840.113549.1.9.16.2.17 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_ets_sigPolicyId` PKCS#9: 1.2.840.113549.1.9.16.2.15 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_implCompressAlgs` PKCS#9: 1.2.840.113549.1.9.16.2.43 RFC7030
`static ASN1ObjectIdentifier` | `id_aa_implCryptoAlgs` PKCS#9: 1.2.840.113549.1.9.16.2.38 - RFC 4108
`static ASN1ObjectIdentifier` | `id_aa_msgSigDigest` PKCS#9: 1.2.840.113549.1.9.16.2.5
`static ASN1ObjectIdentifier` | `id_aa_otherSigCert` Deprecated. use id_aa_ets_otherSigCert instead
`static ASN1ObjectIdentifier` | `id_aa_otpChallenge` PKCS#9: 1.2.840.113549.1.9.16.2.56 - RFC 7894 §3.1: EST otpChallenge attribute, conveys a one-time password as part of a CSR.
`static ASN1ObjectIdentifier` | `id_aa_receiptRequest` PKCS#9: 1.2.840.113549.1.9.16.2.1 -- smime attribute receiptRequest
`static ASN1ObjectIdentifier` | `id_aa_relatedCertRequest` PKCS#9: 1.2.840.113549.1.9.16.2.60 - RFC 9763 sec. 4: attribute identifying a previously issued certificate that should be bound to the CSR being processed (hybrid PQ migration).
`static ASN1ObjectIdentifier` | `id_aa_revocationChallenge` PKCS#9: 1.2.840.113549.1.9.16.2.57 - RFC 7894 §3.2: EST revocationChallenge attribute, unambiguous replacement for the overloaded PKCS#9 challengePassword used for certificate revocation.
`static ASN1ObjectIdentifier` | `id_aa_signatureTimeStampToken` PKCS#9: 1.2.840.113549.1.9.16.2.14 - RFC 3126
`static ASN1ObjectIdentifier` | `id_aa_signerLocation` Deprecated. use id_aa_ets_signerLocation instead
`static ASN1ObjectIdentifier` | `id_aa_signingCertificate` PKCS#9: 1.2.840.113549.1.9.16.2.12
`static ASN1ObjectIdentifier` | `id_aa_signingCertificateV2` PKCS#9: 1.2.840.113549.1.9.16.2.47
`static ASN1ObjectIdentifier` | `id_aa_sigPolicyId` Deprecated. use id_aa_ets_sigPolicyId instead
`static ASN1ObjectIdentifier` | `id_alg` Deprecated. use smime_alg instead
`static ASN1ObjectIdentifier` | `id_alg_AEADChaCha20Poly1305` id-alg-AEADChaCha20Poly1305 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) alg(3) 18 } AEADChaCha20Poly1305Nonce ::= OCTET STRING (SIZE(12))
`static ASN1ObjectIdentifier` | `id_alg_CMS3DESwrap` PKCS#9: 1.2.840.113549.1.9.16.3.6
`static ASN1ObjectIdentifier` | `id_alg_CMSRC2wrap` PKCS#9: 1.2.840.113549.1.9.16.3.7
`static ASN1ObjectIdentifier` | `id_alg_ESDH` PKCS#9: 1.2.840.113549.1.9.16.3.5
`static ASN1ObjectIdentifier` | `id_alg_hkdf_with_sha256` id-alg-hkdf-with-sha256 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 28 }
`static ASN1ObjectIdentifier` | `id_alg_hkdf_with_sha384` id-alg-hkdf-with-sha384 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 29 }
`static ASN1ObjectIdentifier` | `id_alg_hkdf_with_sha512` id-alg-hkdf-with-sha512 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 30 }
`static ASN1ObjectIdentifier` | `id_alg_hss_lms_hashsig` id-alg-hss-lms-hashsig OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) alg(3) 17 } 1.2.840.113549.1.9.16.3.17
`static ASN1ObjectIdentifier` | `id_alg_PWRI_KEK` PKCS#9: 1.2.840.113549.1.9.16.3.9
`static ASN1ObjectIdentifier` | `id_alg_SSDH` PKCS#9: 1.2.840.113549.1.9.16.3.10
`static ASN1ObjectIdentifier` | `id_alg_zlibCompress` PKCS#9: 1.2.840.113549.1.9.16.3.8
`static ASN1ObjectIdentifier` | `id_ct` PKCS#9: 1.2.840.113549.1.9.16.1 -- smime ct
`static ASN1ObjectIdentifier` | `id_ct_authData` PKCS#9: 1.2.840.113549.1.9.16.1.2 -- smime ct authData
`static ASN1ObjectIdentifier` | `id_ct_authEnvelopedData` PKCS#9: 1.2.840.113549.1.9.16.1.23 -- smime ct authEnvelopedData
`static ASN1ObjectIdentifier` | `id_ct_compressedData` PKCS#9: 1.2.840.113549.1.9.16.1.9 -- smime ct compressedData
`static ASN1ObjectIdentifier` | `id_ct_timestampedData` PKCS#9: 1.2.840.113549.1.9.16.1.31 -- smime ct timestampedData
`static ASN1ObjectIdentifier` | `id_ct_TSTInfo` PKCS#9: 1.2.840.113549.1.9.16.1.4 -- smime ct TSTInfo
`static ASN1ObjectIdentifier` | `id_cti` PKCS#9: 1.2.840.113549.1.9.16.6 -- smime cti
`static ASN1ObjectIdentifier` | `id_cti_ets_proofOfApproval` PKCS#9: 1.2.840.113549.1.9.16.6.5 -- smime cti proofOfApproval
`static ASN1ObjectIdentifier` | `id_cti_ets_proofOfCreation` PKCS#9: 1.2.840.113549.1.9.16.6.6 -- smime cti proofOfCreation
`static ASN1ObjectIdentifier` | `id_cti_ets_proofOfDelivery` PKCS#9: 1.2.840.113549.1.9.16.6.3 -- smime cti proofOfDelivery
`static ASN1ObjectIdentifier` | `id_cti_ets_proofOfOrigin` PKCS#9: 1.2.840.113549.1.9.16.6.1 -- smime cti proofOfOrigin
`static ASN1ObjectIdentifier` | `id_cti_ets_proofOfReceipt` PKCS#9: 1.2.840.113549.1.9.16.6.2 -- smime cti proofOfReceipt
`static ASN1ObjectIdentifier` | `id_cti_ets_proofOfSender` PKCS#9: 1.2.840.113549.1.9.16.6.4 -- smime cti proofOfSender
`static ASN1ObjectIdentifier` | `id_hmacWithSHA1` 1.2.840.113549.2.7
`static ASN1ObjectIdentifier` | `id_hmacWithSHA224` 1.2.840.113549.2.8
`static ASN1ObjectIdentifier` | `id_hmacWithSHA256` 1.2.840.113549.2.9
`static ASN1ObjectIdentifier` | `id_hmacWithSHA384` 1.2.840.113549.2.10
`static ASN1ObjectIdentifier` | `id_hmacWithSHA512` 1.2.840.113549.2.11
`static ASN1ObjectIdentifier` | `id_hmacWithSHA512_224` 1.2.840.113549.2.12
`static ASN1ObjectIdentifier` | `id_hmacWithSHA512_256` 1.2.840.113549.2.13
`static ASN1ObjectIdentifier` | `id_mgf1` PKCS#1: 1.2.840.113549.1.1.8
`static ASN1ObjectIdentifier` | `id_mod_CMS_AEADChaCha20Poly1305` RFC 8103 id-mod-CMS-AEADChaCha20Poly1305; OID 1.2.840.113549.1.9.16.0.66
`static ASN1ObjectIdentifier` | `id_mod_cms_seed` RFC 4010: SeedEncryptionAlgorithmInCMS; OID 1.2.840.113549.1.9.16.0.24
`static ASN1ObjectIdentifier` | `id_mod_mts_hashsig_2013` RFC 9708 MTS-HashSig-2013; OID 1.2.840.113549.1.9.16.0.64
`static ASN1ObjectIdentifier` | `id_PBES2` PKCS#5: 1.2.840.113549.1.5.13
`static ASN1ObjectIdentifier` | `id_PBKDF2` PKCS#5: 1.2.840.113549.1.5.12
`static ASN1ObjectIdentifier` | `id_PBMAC1` PKCS#5: 1.2.840.113549.1.5.14
`static ASN1ObjectIdentifier` | `id_pSpecified` PKCS#1: 1.2.840.113549.1.1.9
`static ASN1ObjectIdentifier` | `id_rsa_KEM` -- RSA-KEM Key Transport Algorithm RFC 5990 id-rsa-kem OID ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 14 }
`static ASN1ObjectIdentifier` | `id_RSAES_OAEP` PKCS#1: 1.2.840.113549.1.1.7
`static ASN1ObjectIdentifier` | `id_RSASSA_PSS` PKCS#1: 1.2.840.113549.1.1.10
`static ASN1ObjectIdentifier` | `id_smime` PKCS#9: 1.2.840.113549.1.9.16
`static java.lang.String` | `id_spq` Deprecated. use id_spq_oid instead
`static ASN1ObjectIdentifier` | `id_spq_ets_unotice` SMIME SPQ UNOTICE: 1.2.840.113549.1.9.16.5.2
`static ASN1ObjectIdentifier` | `id_spq_ets_uri` SMIME SPQ URI: 1.2.840.113549.1.9.16.5.1
`static ASN1ObjectIdentifier` | `id_spq_oid`
`static ASN1ObjectIdentifier` | `keyBag` PKCS#12: 1.2.840.113549.1.12.10.1.1
`static ASN1ObjectIdentifier` | `md2` 1.2.840.113549.2.2
`static ASN1ObjectIdentifier` | `md2WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.2
`static ASN1ObjectIdentifier` | `md4` 1.2.840.113549.2.4
`static ASN1ObjectIdentifier` | `md4WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.3
`static ASN1ObjectIdentifier` | `md5` 1.2.840.113549.2.5
`static ASN1ObjectIdentifier` | `md5WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.4
`static ASN1ObjectIdentifier` | `pbeWithMD2AndDES_CBC` PKCS#5: 1.2.840.113549.1.5.1
`static ASN1ObjectIdentifier` | `pbeWithMD2AndRC2_CBC` PKCS#5: 1.2.840.113549.1.5.4
`static ASN1ObjectIdentifier` | `pbeWithMD5AndDES_CBC` PKCS#5: 1.2.840.113549.1.5.3
`static ASN1ObjectIdentifier` | `pbeWithMD5AndRC2_CBC` PKCS#5: 1.2.840.113549.1.5.6
`static ASN1ObjectIdentifier` | `pbeWithSHA1AndDES_CBC` PKCS#5: 1.2.840.113549.1.5.10
`static ASN1ObjectIdentifier` | `pbeWithSHA1AndRC2_CBC` PKCS#5: 1.2.840.113549.1.5.11
`static ASN1ObjectIdentifier` | `pbeWithSHAAnd128BitRC2_CBC` PKCS#12: 1.2.840.113549.1.12.1.5
`static ASN1ObjectIdentifier` | `pbeWithSHAAnd128BitRC4` PKCS#12: 1.2.840.113549.1.12.1.1
`static ASN1ObjectIdentifier` | `pbeWithSHAAnd2_KeyTripleDES_CBC` PKCS#12: 1.2.840.113549.1.12.1.4
`static ASN1ObjectIdentifier` | `pbeWithSHAAnd3_KeyTripleDES_CBC` PKCS#12: 1.2.840.113549.1.12.1.3
`static ASN1ObjectIdentifier` | `pbewithSHAAnd40BitRC2_CBC` Deprecated. use pbeWithSHAAnd40BitRC2_CBC
`static ASN1ObjectIdentifier` | `pbeWithSHAAnd40BitRC2_CBC` PKCS#12: 1.2.840.113549.1.12.1.6
`static ASN1ObjectIdentifier` | `pbeWithSHAAnd40BitRC4` PKCS#12: 1.2.840.113549.1.12.1.2
`static ASN1ObjectIdentifier` | `pkcs_1` PKCS#1: 1.2.840.113549.1.1
`static ASN1ObjectIdentifier` | `pkcs_12` PKCS#12: 1.2.840.113549.1.12
`static ASN1ObjectIdentifier` | `pkcs_12PbeIds` PKCS#12: 1.2.840.113549.1.12.1
`static ASN1ObjectIdentifier` | `pkcs_3` PKCS#3: 1.2.840.113549.1.3
`static ASN1ObjectIdentifier` | `pkcs_5` PKCS#5: 1.2.840.113549.1.5
`static ASN1ObjectIdentifier` | `pkcs_7` pkcs#7: 1.2.840.113549.1.7
`static ASN1ObjectIdentifier` | `pkcs_9` PKCS#9: 1.2.840.113549.1.9
`static ASN1ObjectIdentifier` | `pkcs_9_at_binarySigningTime` PKCS#9: 1.2.840.113549.1.9.16.2.46
`static ASN1ObjectIdentifier` | `pkcs_9_at_challengePassword` PKCS#9: 1.2.840.113549.1.9.7
`static ASN1ObjectIdentifier` | `pkcs_9_at_contentType` PKCS#9: 1.2.840.113549.1.9.3
`static ASN1ObjectIdentifier` | `pkcs_9_at_counterSignature` PKCS#9: 1.2.840.113549.1.9.6
`static ASN1ObjectIdentifier` | `pkcs_9_at_emailAddress` PKCS#9: 1.2.840.113549.1.9.1
`static ASN1ObjectIdentifier` | `pkcs_9_at_extendedCertificateAttributes` PKCS#9: 1.2.840.113549.1.9.9
`static ASN1ObjectIdentifier` | `pkcs_9_at_extensionRequest` PKCS#9: 1.2.840.113549.1.9.14
`static ASN1ObjectIdentifier` | `pkcs_9_at_friendlyName` PKCS#9: 1.2.840.113549.1.9.20
`static ASN1ObjectIdentifier` | `pkcs_9_at_localKeyId` PKCS#9: 1.2.840.113549.1.9.21
`static ASN1ObjectIdentifier` | `pkcs_9_at_messageDigest` PKCS#9: 1.2.840.113549.1.9.4
`static ASN1ObjectIdentifier` | `pkcs_9_at_signingDescription` PKCS#9: 1.2.840.113549.1.9.13
`static ASN1ObjectIdentifier` | `pkcs_9_at_signingTime` PKCS#9: 1.2.840.113549.1.9.5
`static ASN1ObjectIdentifier` | `pkcs_9_at_smimeCapabilities` PKCS#9: 1.2.840.113549.1.9.15
`static ASN1ObjectIdentifier` | `pkcs_9_at_unstructuredAddress` PKCS#9: 1.2.840.113549.1.9.8
`static ASN1ObjectIdentifier` | `pkcs_9_at_unstructuredName` PKCS#9: 1.2.840.113549.1.9.2
`static ASN1ObjectIdentifier` | `pkcs8ShroudedKeyBag` PKCS#12: 1.2.840.113549.1.12.10.1.2
`static ASN1ObjectIdentifier` | `preferSignedData` PKCS#9: 1.2.840.113549.1.9.15.1 -- smime capability
`static ASN1ObjectIdentifier` | `RC2_CBC` 1.2.840.113549.3.2
`static ASN1ObjectIdentifier` | `rc4` 1.2.840.113549.3.4
`static ASN1ObjectIdentifier` | `rsaEncryption` PKCS#1: 1.2.840.113549.1.1.1
`static ASN1ObjectIdentifier` | `safeContentsBag` PKCS#12: 1.2.840.113549.1.12.10.1.6
`static ASN1ObjectIdentifier` | `sdsiCertificate` PKCS#9: 1.2.840.113549.1.9.22.2
`static ASN1ObjectIdentifier` | `secretBag` PKCS#12: 1.2.840.113549.1.12.10.1.5
`static ASN1ObjectIdentifier` | `sha1WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.5
`static ASN1ObjectIdentifier` | `sha224WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.14
`static ASN1ObjectIdentifier` | `sha256WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.11
`static ASN1ObjectIdentifier` | `sha384WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.12
`static ASN1ObjectIdentifier` | `sha512_224WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.15
`static ASN1ObjectIdentifier` | `sha512_256WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.16
`static ASN1ObjectIdentifier` | `sha512WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.13
`static ASN1ObjectIdentifier` | `signedAndEnvelopedData` PKCS#7: 1.2.840.113549.1.7.4
`static ASN1ObjectIdentifier` | `signedData` PKCS#7: 1.2.840.113549.1.7.2
`static ASN1ObjectIdentifier` | `smime_alg` S/MIME: Algorithm Identifiers ; 1.2.840.113549.1.9.16.3
`static ASN1ObjectIdentifier` | `sMIMECapabilitiesVersions` PKCS#9: 1.2.840.113549.1.9.15.3 -- smime capability
`static ASN1ObjectIdentifier` | `srsaOAEPEncryptionSET` PKCS#1: 1.2.840.113549.1.1.6
`static ASN1ObjectIdentifier` | `x509Certificate` PKCS#9: 1.2.840.113549.1.9.22.1
`static ASN1ObjectIdentifier` | `x509certType` Deprecated. use x509Certificate instead
`static ASN1ObjectIdentifier` | `x509Crl` PKCS#9: 1.2.840.113549.1.9.23.1

Field Detail

### pkcs_1

    public static final ASN1ObjectIdentifier pkcs_1

  PKCS#1: 1.2.840.113549.1.1

### rsaEncryption

    public static final ASN1ObjectIdentifier rsaEncryption

  PKCS#1: 1.2.840.113549.1.1.1

### md2WithRSAEncryption

    public static final ASN1ObjectIdentifier md2WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.2

### md4WithRSAEncryption

    public static final ASN1ObjectIdentifier md4WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.3

### md5WithRSAEncryption

    public static final ASN1ObjectIdentifier md5WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.4

### sha1WithRSAEncryption

    public static final ASN1ObjectIdentifier sha1WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.5

### srsaOAEPEncryptionSET

    public static final ASN1ObjectIdentifier srsaOAEPEncryptionSET

  PKCS#1: 1.2.840.113549.1.1.6

### id_RSAES_OAEP

    public static final ASN1ObjectIdentifier id_RSAES_OAEP

  PKCS#1: 1.2.840.113549.1.1.7

### id_mgf1

    public static final ASN1ObjectIdentifier id_mgf1

  PKCS#1: 1.2.840.113549.1.1.8

### id_pSpecified

    public static final ASN1ObjectIdentifier id_pSpecified

  PKCS#1: 1.2.840.113549.1.1.9

### id_RSASSA_PSS

    public static final ASN1ObjectIdentifier id_RSASSA_PSS

  PKCS#1: 1.2.840.113549.1.1.10

### sha256WithRSAEncryption

    public static final ASN1ObjectIdentifier sha256WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.11

### sha384WithRSAEncryption

    public static final ASN1ObjectIdentifier sha384WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.12

### sha512WithRSAEncryption

    public static final ASN1ObjectIdentifier sha512WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.13

### sha224WithRSAEncryption

    public static final ASN1ObjectIdentifier sha224WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.14

### sha512_224WithRSAEncryption

    public static final ASN1ObjectIdentifier sha512_224WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.15

### sha512_256WithRSAEncryption

    public static final ASN1ObjectIdentifier sha512_256WithRSAEncryption

  PKCS#1: 1.2.840.113549.1.1.16

### pkcs_3

    public static final ASN1ObjectIdentifier pkcs_3

  PKCS#3: 1.2.840.113549.1.3

### dhKeyAgreement

    public static final ASN1ObjectIdentifier dhKeyAgreement

  PKCS#3: 1.2.840.113549.1.3.1

### pkcs_5

    public static final ASN1ObjectIdentifier pkcs_5

  PKCS#5: 1.2.840.113549.1.5

### pbeWithMD2AndDES_CBC

    public static final ASN1ObjectIdentifier pbeWithMD2AndDES_CBC

  PKCS#5: 1.2.840.113549.1.5.1

### pbeWithMD2AndRC2_CBC

    public static final ASN1ObjectIdentifier pbeWithMD2AndRC2_CBC

  PKCS#5: 1.2.840.113549.1.5.4

### pbeWithMD5AndDES_CBC

    public static final ASN1ObjectIdentifier pbeWithMD5AndDES_CBC

  PKCS#5: 1.2.840.113549.1.5.3

### pbeWithMD5AndRC2_CBC

    public static final ASN1ObjectIdentifier pbeWithMD5AndRC2_CBC

  PKCS#5: 1.2.840.113549.1.5.6

### pbeWithSHA1AndDES_CBC

    public static final ASN1ObjectIdentifier pbeWithSHA1AndDES_CBC

  PKCS#5: 1.2.840.113549.1.5.10

### pbeWithSHA1AndRC2_CBC

    public static final ASN1ObjectIdentifier pbeWithSHA1AndRC2_CBC

  PKCS#5: 1.2.840.113549.1.5.11

### id_PBKDF2

    public static final ASN1ObjectIdentifier id_PBKDF2

  PKCS#5: 1.2.840.113549.1.5.12

### id_PBES2

    public static final ASN1ObjectIdentifier id_PBES2

  PKCS#5: 1.2.840.113549.1.5.13

### id_PBMAC1

    public static final ASN1ObjectIdentifier id_PBMAC1

  PKCS#5: 1.2.840.113549.1.5.14

### encryptionAlgorithm

    public static final ASN1ObjectIdentifier encryptionAlgorithm

  1.2.840.113549.3

### des_EDE3_CBC

    public static final ASN1ObjectIdentifier des_EDE3_CBC

  1.2.840.113549.3.7

### RC2_CBC

    public static final ASN1ObjectIdentifier RC2_CBC

  1.2.840.113549.3.2

### rc4

    public static final ASN1ObjectIdentifier rc4

  1.2.840.113549.3.4

### digestAlgorithm

    public static final ASN1ObjectIdentifier digestAlgorithm

  1.2.840.113549.2

### md2

    public static final ASN1ObjectIdentifier md2

  1.2.840.113549.2.2

### md4

    public static final ASN1ObjectIdentifier md4

  1.2.840.113549.2.4

### md5

    public static final ASN1ObjectIdentifier md5

  1.2.840.113549.2.5

### id_hmacWithSHA1

    public static final ASN1ObjectIdentifier id_hmacWithSHA1

  1.2.840.113549.2.7

### id_hmacWithSHA224

    public static final ASN1ObjectIdentifier id_hmacWithSHA224

  1.2.840.113549.2.8

### id_hmacWithSHA256

    public static final ASN1ObjectIdentifier id_hmacWithSHA256

  1.2.840.113549.2.9

### id_hmacWithSHA384

    public static final ASN1ObjectIdentifier id_hmacWithSHA384

  1.2.840.113549.2.10

### id_hmacWithSHA512

    public static final ASN1ObjectIdentifier id_hmacWithSHA512

  1.2.840.113549.2.11

### id_hmacWithSHA512_224

    public static final ASN1ObjectIdentifier id_hmacWithSHA512_224

  1.2.840.113549.2.12

### id_hmacWithSHA512_256

    public static final ASN1ObjectIdentifier id_hmacWithSHA512_256

  1.2.840.113549.2.13

### pkcs_7

    public static final ASN1ObjectIdentifier pkcs_7

  pkcs#7: 1.2.840.113549.1.7

### data

    public static final ASN1ObjectIdentifier data

  PKCS#7: 1.2.840.113549.1.7.1

### signedData

    public static final ASN1ObjectIdentifier signedData

  PKCS#7: 1.2.840.113549.1.7.2

### envelopedData

    public static final ASN1ObjectIdentifier envelopedData

  PKCS#7: 1.2.840.113549.1.7.3

### signedAndEnvelopedData

    public static final ASN1ObjectIdentifier signedAndEnvelopedData

  PKCS#7: 1.2.840.113549.1.7.4

### digestedData

    public static final ASN1ObjectIdentifier digestedData

  PKCS#7: 1.2.840.113549.1.7.5

### encryptedData

    public static final ASN1ObjectIdentifier encryptedData

  PKCS#7: 1.2.840.113549.1.7.76

### pkcs_9

    public static final ASN1ObjectIdentifier pkcs_9

  PKCS#9: 1.2.840.113549.1.9

### pkcs_9_at_emailAddress

    public static final ASN1ObjectIdentifier pkcs_9_at_emailAddress

  PKCS#9: 1.2.840.113549.1.9.1

### pkcs_9_at_unstructuredName

    public static final ASN1ObjectIdentifier pkcs_9_at_unstructuredName

  PKCS#9: 1.2.840.113549.1.9.2

### pkcs_9_at_contentType

    public static final ASN1ObjectIdentifier pkcs_9_at_contentType

  PKCS#9: 1.2.840.113549.1.9.3

### pkcs_9_at_messageDigest

    public static final ASN1ObjectIdentifier pkcs_9_at_messageDigest

  PKCS#9: 1.2.840.113549.1.9.4

### pkcs_9_at_signingTime

    public static final ASN1ObjectIdentifier pkcs_9_at_signingTime

  PKCS#9: 1.2.840.113549.1.9.5

### pkcs_9_at_counterSignature

    public static final ASN1ObjectIdentifier pkcs_9_at_counterSignature

  PKCS#9: 1.2.840.113549.1.9.6

### pkcs_9_at_challengePassword

    public static final ASN1ObjectIdentifier pkcs_9_at_challengePassword

  PKCS#9: 1.2.840.113549.1.9.7

### pkcs_9_at_unstructuredAddress

    public static final ASN1ObjectIdentifier pkcs_9_at_unstructuredAddress

  PKCS#9: 1.2.840.113549.1.9.8

### pkcs_9_at_extendedCertificateAttributes

    public static final ASN1ObjectIdentifier pkcs_9_at_extendedCertificateAttributes

  PKCS#9: 1.2.840.113549.1.9.9

### pkcs_9_at_signingDescription

    public static final ASN1ObjectIdentifier pkcs_9_at_signingDescription

  PKCS#9: 1.2.840.113549.1.9.13

### pkcs_9_at_extensionRequest

    public static final ASN1ObjectIdentifier pkcs_9_at_extensionRequest

  PKCS#9: 1.2.840.113549.1.9.14

### pkcs_9_at_smimeCapabilities

    public static final ASN1ObjectIdentifier pkcs_9_at_smimeCapabilities

  PKCS#9: 1.2.840.113549.1.9.15

### id_smime

    public static final ASN1ObjectIdentifier id_smime

  PKCS#9: 1.2.840.113549.1.9.16

### pkcs_9_at_friendlyName

    public static final ASN1ObjectIdentifier pkcs_9_at_friendlyName

  PKCS#9: 1.2.840.113549.1.9.20

### pkcs_9_at_localKeyId

    public static final ASN1ObjectIdentifier pkcs_9_at_localKeyId

  PKCS#9: 1.2.840.113549.1.9.21

### x509certType

    public static final ASN1ObjectIdentifier x509certType

  Deprecated. use x509Certificate instead

  PKCS#9: 1.2.840.113549.1.9.22.1

### certTypes

    public static final ASN1ObjectIdentifier certTypes

  PKCS#9: 1.2.840.113549.1.9.22

### x509Certificate

    public static final ASN1ObjectIdentifier x509Certificate

  PKCS#9: 1.2.840.113549.1.9.22.1

### sdsiCertificate

    public static final ASN1ObjectIdentifier sdsiCertificate

  PKCS#9: 1.2.840.113549.1.9.22.2

### crlTypes

    public static final ASN1ObjectIdentifier crlTypes

  PKCS#9: 1.2.840.113549.1.9.23

### x509Crl

    public static final ASN1ObjectIdentifier x509Crl

  PKCS#9: 1.2.840.113549.1.9.23.1

### id_aa_cmsAlgorithmProtect

    public static final ASN1ObjectIdentifier id_aa_cmsAlgorithmProtect

  RFC 6211 - id-aa-cmsAlgorithmProtect OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) 52 }

### preferSignedData

    public static final ASN1ObjectIdentifier preferSignedData

  PKCS#9: 1.2.840.113549.1.9.15.1 -- smime capability

### canNotDecryptAny

    public static final ASN1ObjectIdentifier canNotDecryptAny

  PKCS#9: 1.2.840.113549.1.9.15.2 -- smime capability

### sMIMECapabilitiesVersions

    public static final ASN1ObjectIdentifier sMIMECapabilitiesVersions

  PKCS#9: 1.2.840.113549.1.9.15.3 -- smime capability

### id_mod_cms_seed

    public static final ASN1ObjectIdentifier id_mod_cms_seed

  RFC 4010: SeedEncryptionAlgorithmInCMS; OID 1.2.840.113549.1.9.16.0.24

### id_mod_mts_hashsig_2013

    public static final ASN1ObjectIdentifier id_mod_mts_hashsig_2013

  RFC 9708 MTS-HashSig-2013; OID 1.2.840.113549.1.9.16.0.64

### id_mod_CMS_AEADChaCha20Poly1305

    public static final ASN1ObjectIdentifier id_mod_CMS_AEADChaCha20Poly1305

  RFC 8103 id-mod-CMS-AEADChaCha20Poly1305; OID 1.2.840.113549.1.9.16.0.66

### id_ct

    public static final ASN1ObjectIdentifier id_ct

  PKCS#9: 1.2.840.113549.1.9.16.1 -- smime ct

### id_ct_authData

    public static final ASN1ObjectIdentifier id_ct_authData

  PKCS#9: 1.2.840.113549.1.9.16.1.2 -- smime ct authData

### id_ct_TSTInfo

    public static final ASN1ObjectIdentifier id_ct_TSTInfo

  PKCS#9: 1.2.840.113549.1.9.16.1.4 -- smime ct TSTInfo

### id_ct_compressedData

    public static final ASN1ObjectIdentifier id_ct_compressedData

  PKCS#9: 1.2.840.113549.1.9.16.1.9 -- smime ct compressedData

### id_ct_authEnvelopedData

    public static final ASN1ObjectIdentifier id_ct_authEnvelopedData

  PKCS#9: 1.2.840.113549.1.9.16.1.23 -- smime ct authEnvelopedData

### id_ct_timestampedData

    public static final ASN1ObjectIdentifier id_ct_timestampedData

  PKCS#9: 1.2.840.113549.1.9.16.1.31 -- smime ct timestampedData

### smime_alg

    public static final ASN1ObjectIdentifier smime_alg

  S/MIME: Algorithm Identifiers ; 1.2.840.113549.1.9.16.3

### id_alg

    public static final ASN1ObjectIdentifier id_alg

  Deprecated. use smime_alg instead

### id_alg_ESDH

    public static final ASN1ObjectIdentifier id_alg_ESDH

  PKCS#9: 1.2.840.113549.1.9.16.3.5

### id_alg_CMS3DESwrap

    public static final ASN1ObjectIdentifier id_alg_CMS3DESwrap

  PKCS#9: 1.2.840.113549.1.9.16.3.6

### id_alg_CMSRC2wrap

    public static final ASN1ObjectIdentifier id_alg_CMSRC2wrap

  PKCS#9: 1.2.840.113549.1.9.16.3.7

### id_alg_zlibCompress

    public static final ASN1ObjectIdentifier id_alg_zlibCompress

  PKCS#9: 1.2.840.113549.1.9.16.3.8

### id_alg_PWRI_KEK

    public static final ASN1ObjectIdentifier id_alg_PWRI_KEK

  PKCS#9: 1.2.840.113549.1.9.16.3.9

### id_alg_SSDH

    public static final ASN1ObjectIdentifier id_alg_SSDH

  PKCS#9: 1.2.840.113549.1.9.16.3.10

### id_rsa_KEM

    public static final ASN1ObjectIdentifier id_rsa_KEM

  -- RSA-KEM Key Transport Algorithm RFC 5990 id-rsa-kem OID ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 14 }

### id_alg_hss_lms_hashsig

    public static final ASN1ObjectIdentifier id_alg_hss_lms_hashsig

  id-alg-hss-lms-hashsig OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) alg(3) 17 } 1.2.840.113549.1.9.16.3.17

### id_alg_AEADChaCha20Poly1305

    public static final ASN1ObjectIdentifier id_alg_AEADChaCha20Poly1305

  id-alg-AEADChaCha20Poly1305 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) alg(3) 18 } AEADChaCha20Poly1305Nonce ::= OCTET STRING (SIZE(12))

### dhSinglePass_stdDH_hkdf_sha256_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_hkdf_sha256_scheme

  RFC 8418: dhSinglePass-stdDH-hkdf-sha256-scheme OBJECT IDENTIFIER ::= { smime-alg 19 }

  1.2.840.113549.1.9.16.3.19

### dhSinglePass_stdDH_hkdf_sha384_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_hkdf_sha384_scheme

  RFC 8418: dhSinglePass-stdDH-hkdf-sha384-scheme OBJECT IDENTIFIER ::= { smime-alg 20 }

  1.2.840.113549.1.9.16.3.20

### dhSinglePass_stdDH_hkdf_sha512_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_hkdf_sha512_scheme

  RFC 8418: dhSinglePass-stdDH-hkdf-sha512-scheme OBJECT IDENTIFIER ::= { smime-alg 21 }

  1.2.840.113549.1.9.16.3.21

### id_alg_hkdf_with_sha256

    public static final ASN1ObjectIdentifier id_alg_hkdf_with_sha256

  id-alg-hkdf-with-sha256 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 28 }

### id_alg_hkdf_with_sha384

    public static final ASN1ObjectIdentifier id_alg_hkdf_with_sha384

  id-alg-hkdf-with-sha384 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 29 }

### id_alg_hkdf_with_sha512

    public static final ASN1ObjectIdentifier id_alg_hkdf_with_sha512

  id-alg-hkdf-with-sha512 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 30 }

### id_cti

    public static final ASN1ObjectIdentifier id_cti

  PKCS#9: 1.2.840.113549.1.9.16.6 -- smime cti

### id_cti_ets_proofOfOrigin

    public static final ASN1ObjectIdentifier id_cti_ets_proofOfOrigin

  PKCS#9: 1.2.840.113549.1.9.16.6.1 -- smime cti proofOfOrigin

### id_cti_ets_proofOfReceipt

    public static final ASN1ObjectIdentifier id_cti_ets_proofOfReceipt

  PKCS#9: 1.2.840.113549.1.9.16.6.2 -- smime cti proofOfReceipt

### id_cti_ets_proofOfDelivery

    public static final ASN1ObjectIdentifier id_cti_ets_proofOfDelivery

  PKCS#9: 1.2.840.113549.1.9.16.6.3 -- smime cti proofOfDelivery

### id_cti_ets_proofOfSender

    public static final ASN1ObjectIdentifier id_cti_ets_proofOfSender

  PKCS#9: 1.2.840.113549.1.9.16.6.4 -- smime cti proofOfSender

### id_cti_ets_proofOfApproval

    public static final ASN1ObjectIdentifier id_cti_ets_proofOfApproval

  PKCS#9: 1.2.840.113549.1.9.16.6.5 -- smime cti proofOfApproval

### id_cti_ets_proofOfCreation

    public static final ASN1ObjectIdentifier id_cti_ets_proofOfCreation

  PKCS#9: 1.2.840.113549.1.9.16.6.6 -- smime cti proofOfCreation

### id_aa

    public static final ASN1ObjectIdentifier id_aa

  PKCS#9: 1.2.840.113549.1.9.16.2 - smime attributes

### pkcs_9_at_binarySigningTime

    public static final ASN1ObjectIdentifier pkcs_9_at_binarySigningTime

  PKCS#9: 1.2.840.113549.1.9.16.2.46

### id_aa_receiptRequest

    public static final ASN1ObjectIdentifier id_aa_receiptRequest

  PKCS#9: 1.2.840.113549.1.9.16.2.1 -- smime attribute receiptRequest

### id_aa_contentHint

    public static final ASN1ObjectIdentifier id_aa_contentHint

  PKCS#9: 1.2.840.113549.1.9.16.2.4 - See RFC 2634

### id_aa_msgSigDigest

    public static final ASN1ObjectIdentifier id_aa_msgSigDigest

  PKCS#9: 1.2.840.113549.1.9.16.2.5

### id_aa_contentReference

    public static final ASN1ObjectIdentifier id_aa_contentReference

  PKCS#9: 1.2.840.113549.1.9.16.2.10

### id_aa_encrypKeyPref

    public static final ASN1ObjectIdentifier id_aa_encrypKeyPref

  PKCS#9: 1.2.840.113549.1.9.16.2.11

### id_aa_signingCertificate

    public static final ASN1ObjectIdentifier id_aa_signingCertificate

  PKCS#9: 1.2.840.113549.1.9.16.2.12

### id_aa_signingCertificateV2

    public static final ASN1ObjectIdentifier id_aa_signingCertificateV2

  PKCS#9: 1.2.840.113549.1.9.16.2.47

### id_aa_contentIdentifier

    public static final ASN1ObjectIdentifier id_aa_contentIdentifier

  PKCS#9: 1.2.840.113549.1.9.16.2.7 - See RFC 2634

### id_aa_signatureTimeStampToken

    public static final ASN1ObjectIdentifier id_aa_signatureTimeStampToken

  PKCS#9: 1.2.840.113549.1.9.16.2.14 - RFC 3126

### id_aa_ets_sigPolicyId

    public static final ASN1ObjectIdentifier id_aa_ets_sigPolicyId

  PKCS#9: 1.2.840.113549.1.9.16.2.15 - RFC 3126

### id_aa_ets_commitmentType

    public static final ASN1ObjectIdentifier id_aa_ets_commitmentType

  PKCS#9: 1.2.840.113549.1.9.16.2.16 - RFC 3126

### id_aa_ets_signerLocation

    public static final ASN1ObjectIdentifier id_aa_ets_signerLocation

  PKCS#9: 1.2.840.113549.1.9.16.2.17 - RFC 3126

### id_aa_ets_signerAttr

    public static final ASN1ObjectIdentifier id_aa_ets_signerAttr

  PKCS#9: 1.2.840.113549.1.9.16.2.18 - RFC 3126

### id_aa_ets_otherSigCert

    public static final ASN1ObjectIdentifier id_aa_ets_otherSigCert

  PKCS#9: 1.2.840.113549.1.9.16.6.2.19 - RFC 3126

### id_aa_ets_contentTimestamp

    public static final ASN1ObjectIdentifier id_aa_ets_contentTimestamp

  PKCS#9: 1.2.840.113549.1.9.16.2.20 - RFC 3126

### id_aa_ets_certificateRefs

    public static final ASN1ObjectIdentifier id_aa_ets_certificateRefs

  PKCS#9: 1.2.840.113549.1.9.16.2.21 - RFC 3126

### id_aa_ets_revocationRefs

    public static final ASN1ObjectIdentifier id_aa_ets_revocationRefs

  PKCS#9: 1.2.840.113549.1.9.16.2.22 - RFC 3126

### id_aa_ets_certValues

    public static final ASN1ObjectIdentifier id_aa_ets_certValues

  PKCS#9: 1.2.840.113549.1.9.16.2.23 - RFC 3126

### id_aa_ets_revocationValues

    public static final ASN1ObjectIdentifier id_aa_ets_revocationValues

  PKCS#9: 1.2.840.113549.1.9.16.2.24 - RFC 3126

### id_aa_ets_escTimeStamp

    public static final ASN1ObjectIdentifier id_aa_ets_escTimeStamp

  PKCS#9: 1.2.840.113549.1.9.16.2.25 - RFC 3126

### id_aa_ets_certCRLTimestamp

    public static final ASN1ObjectIdentifier id_aa_ets_certCRLTimestamp

  PKCS#9: 1.2.840.113549.1.9.16.2.26 - RFC 3126

### id_aa_ets_archiveTimestamp

    public static final ASN1ObjectIdentifier id_aa_ets_archiveTimestamp

  PKCS#9: 1.2.840.113549.1.9.16.2.27 - RFC 3126

### id_aa_decryptKeyID

    public static final ASN1ObjectIdentifier id_aa_decryptKeyID

  PKCS#9: 1.2.840.113549.1.9.16.2.37 - RFC 4108

### id_aa_implCryptoAlgs

    public static final ASN1ObjectIdentifier id_aa_implCryptoAlgs

  PKCS#9: 1.2.840.113549.1.9.16.2.38 - RFC 4108

### id_aa_asymmDecryptKeyID

    public static final ASN1ObjectIdentifier id_aa_asymmDecryptKeyID

  PKCS#9: 1.2.840.113549.1.9.16.2.54 RFC7030

### id_aa_implCompressAlgs

    public static final ASN1ObjectIdentifier id_aa_implCompressAlgs

  PKCS#9: 1.2.840.113549.1.9.16.2.43 RFC7030

### id_aa_communityIdentifiers

    public static final ASN1ObjectIdentifier id_aa_communityIdentifiers

  PKCS#9: 1.2.840.113549.1.9.16.2.40 RFC7030

### id_aa_otpChallenge

    public static final ASN1ObjectIdentifier id_aa_otpChallenge

  PKCS#9: 1.2.840.113549.1.9.16.2.56 - RFC 7894 §3.1: EST otpChallenge attribute, conveys a one-time password as part of a CSR. DirectoryString, length 1..255.

### id_aa_revocationChallenge

    public static final ASN1ObjectIdentifier id_aa_revocationChallenge

  PKCS#9: 1.2.840.113549.1.9.16.2.57 - RFC 7894 §3.2: EST revocationChallenge attribute, unambiguous replacement for the overloaded PKCS#9 challengePassword used for certificate revocation. DirectoryString, length 1..255.

### id_aa_estIdentityLinking

    public static final ASN1ObjectIdentifier id_aa_estIdentityLinking

  PKCS#9: 1.2.840.113549.1.9.16.2.58 - RFC 7894 §3.3: EST estIdentityLinking attribute, unambiguous replacement for the overloaded PKCS#9 challengePassword used for transport-identity linking per RFC 7030 §3.5. DirectoryString, length 1..255.

### id_aa_relatedCertRequest

    public static final ASN1ObjectIdentifier id_aa_relatedCertRequest

  PKCS#9: 1.2.840.113549.1.9.16.2.60 - RFC 9763 sec. 4: attribute identifying a previously issued certificate that should be bound to the CSR being processed (hybrid PQ migration). The attribute value is a SEQUENCE carrying the IssuerAndSerialNumber of the related certificate, a BinaryTime freshness stamp, one or more URIs from which the related certificate can be fetched, and a signature over the concatenation of the DER-encoded certID and requestTime computed with the related certificate's private key.

### id_aa_sigPolicyId

    public static final ASN1ObjectIdentifier id_aa_sigPolicyId

  Deprecated. use id_aa_ets_sigPolicyId instead

### id_aa_commitmentType

    public static final ASN1ObjectIdentifier id_aa_commitmentType

  Deprecated. use id_aa_ets_commitmentType instead

### id_aa_signerLocation

    public static final ASN1ObjectIdentifier id_aa_signerLocation

  Deprecated. use id_aa_ets_signerLocation instead

### id_aa_otherSigCert

    public static final ASN1ObjectIdentifier id_aa_otherSigCert

  Deprecated. use id_aa_ets_otherSigCert instead

### id_spq

    public static final java.lang.String id_spq

  Deprecated. use id_spq_oid instead

  id-spq OBJECT IDENTIFIER ::= {iso(1) member-body(2) usa(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) id-spq(5)};

  1.2.840.113549.1.9.16.5

  See Also:
    Constant Field Values

### id_spq_oid

    public static final ASN1ObjectIdentifier id_spq_oid

### id_spq_ets_uri

    public static final ASN1ObjectIdentifier id_spq_ets_uri

  SMIME SPQ URI: 1.2.840.113549.1.9.16.5.1

### id_spq_ets_unotice

    public static final ASN1ObjectIdentifier id_spq_ets_unotice

  SMIME SPQ UNOTICE: 1.2.840.113549.1.9.16.5.2

### pkcs_12

    public static final ASN1ObjectIdentifier pkcs_12

  PKCS#12: 1.2.840.113549.1.12

### bagtypes

    public static final ASN1ObjectIdentifier bagtypes

  PKCS#12: 1.2.840.113549.1.12.10.1

### keyBag

    public static final ASN1ObjectIdentifier keyBag

  PKCS#12: 1.2.840.113549.1.12.10.1.1

### pkcs8ShroudedKeyBag

    public static final ASN1ObjectIdentifier pkcs8ShroudedKeyBag

  PKCS#12: 1.2.840.113549.1.12.10.1.2

### certBag

    public static final ASN1ObjectIdentifier certBag

  PKCS#12: 1.2.840.113549.1.12.10.1.3

### crlBag

    public static final ASN1ObjectIdentifier crlBag

  PKCS#12: 1.2.840.113549.1.12.10.1.4

### secretBag

    public static final ASN1ObjectIdentifier secretBag

  PKCS#12: 1.2.840.113549.1.12.10.1.5

### safeContentsBag

    public static final ASN1ObjectIdentifier safeContentsBag

  PKCS#12: 1.2.840.113549.1.12.10.1.6

### pkcs_12PbeIds

    public static final ASN1ObjectIdentifier pkcs_12PbeIds

  PKCS#12: 1.2.840.113549.1.12.1

### pbeWithSHAAnd128BitRC4

    public static final ASN1ObjectIdentifier pbeWithSHAAnd128BitRC4

  PKCS#12: 1.2.840.113549.1.12.1.1

### pbeWithSHAAnd40BitRC4

    public static final ASN1ObjectIdentifier pbeWithSHAAnd40BitRC4

  PKCS#12: 1.2.840.113549.1.12.1.2

### pbeWithSHAAnd3_KeyTripleDES_CBC

    public static final ASN1ObjectIdentifier pbeWithSHAAnd3_KeyTripleDES_CBC

  PKCS#12: 1.2.840.113549.1.12.1.3

### pbeWithSHAAnd2_KeyTripleDES_CBC

    public static final ASN1ObjectIdentifier pbeWithSHAAnd2_KeyTripleDES_CBC

  PKCS#12: 1.2.840.113549.1.12.1.4

### pbeWithSHAAnd128BitRC2_CBC

    public static final ASN1ObjectIdentifier pbeWithSHAAnd128BitRC2_CBC

  PKCS#12: 1.2.840.113549.1.12.1.5

### pbeWithSHAAnd40BitRC2_CBC

    public static final ASN1ObjectIdentifier pbeWithSHAAnd40BitRC2_CBC

  PKCS#12: 1.2.840.113549.1.12.1.6

### pbewithSHAAnd40BitRC2_CBC

    public static final ASN1ObjectIdentifier pbewithSHAAnd40BitRC2_CBC

  Deprecated. use pbeWithSHAAnd40BitRC2_CBC

  PKCS#12: 1.2.840.113549.1.12.1.6

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD